diff --git a/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py b/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py
index 494964f5..c0d7f2ed 100644
--- a/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py
+++ b/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py
@@ -35,7 +35,8 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
     @patch('pgadmin.tools.backup.is_utility_exists')
     def runTest(self, is_utility_exists_mock):
         is_utility_exists_mock.return_value = False
-        response = self.tester.get(self.url.format(1))
+        server_id = self.server_information['server_id']
+        response = self.tester.get(self.url.format(server_id))
         self.assertEquals(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
         self.assertEquals(self.expected_success_value, response['success'])
diff --git a/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py b/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py
index 1931a75a..fcafd75a 100644
--- a/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py
+++ b/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py
@@ -35,7 +35,8 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
     @patch('pgadmin.tools.import_export.is_utility_exists')
     def runTest(self, is_utility_exists_mock):
         is_utility_exists_mock.return_value = False
-        response = self.tester.get(self.url.format(1))
+        server_id = self.server_information['server_id']
+        response = self.tester.get(self.url.format(server_id))
         self.assertEquals(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
         self.assertEquals(self.expected_success_value, response['success'])
diff --git a/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py b/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py
index fccc9871..2b67c993 100644
--- a/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py
+++ b/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py
@@ -35,7 +35,8 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
     @patch('pgadmin.tools.maintenance.is_utility_exists')
     def runTest(self, is_utility_exists_mock):
         is_utility_exists_mock.return_value = False
-        response = self.tester.get(self.url.format(1))
+        server_id = self.server_information['server_id']
+        response = self.tester.get(self.url.format(server_id))
         self.assertEquals(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
         self.assertEquals(self.expected_success_value, response['success'])
diff --git a/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py b/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py
index 4283ae32..0b9419d6 100644
--- a/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py
+++ b/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py
@@ -35,7 +35,8 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
     @patch('pgadmin.tools.restore.is_utility_exists')
     def runTest(self, is_utility_exists_mock):
         is_utility_exists_mock.return_value = False
-        response = self.tester.get(self.url.format(1))
+        server_id = self.server_information['server_id']
+        response = self.tester.get(self.url.format(server_id))
         self.assertEquals(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
         self.assertEquals(self.expected_success_value, response['success'])
